Skip to main content
GET
/
v1
/
applications
/
{id}
/
applicants
List all applicants for an application
curl --request GET \
  --url https://api.yorlet.com/v1/applications/{id}/applicants \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "has_more": false,
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "created": 123,
      "object": "application.applicant",
      "application": "<string>",
      "advance_rent": {
        "amount": 123,
        "paid": true,
        "paid_off_platform": true,
        "transaction": "<string>"
      },
      "currency": "gbp",
      "customer": "<string>",
      "deposit": {
        "amount": 123,
        "paid": true,
        "paid_off_platform": true,
        "transaction": "<string>"
      },
      "guarantor": "<string>",
      "guarantor_contract": "<string>",
      "holding_fee": {
        "amount": 123,
        "paid": true,
        "paid_off_platform": true,
        "transaction": "<string>"
      },
      "lead_tenant": true,
      "permitted_occupier": true,
      "requirements": {
        "guarantor": true
      },
      "share_of_rent": 123,
      "status": "<string>",
      "tos_acceptance": {
        "date": 123,
        "ip": "<string>"
      },
      "account": "<string>",
      "deleted": false,
      "pets": [
        {
          "age": 123,
          "name": "<string>",
          "type": "dog"
        }
      ],
      "pre_qualification": {
        "affordability": {
          "company_name": "<string>",
          "gross_annual_salary": 123,
          "role": "<string>"
        },
        "nationality": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

A object with a data property that contains an array of applicants.

count
number
required

Total number of items in the list.

Example:

1

has_more
boolean
required

Whether more items are available.

Example:

false

object
enum<string>
required
Available options:
list
data
object[]
required